class EmployeeAcademic
  include Mongoid::Document
  include Mongoid::Timestamps

  field :academic_type #type1 -> bachelors, type2 -> masters, type3 -> phd, type4 -> course
  field :degree_name, localize: true
  field :start_date, type: DateTime
  field :end_date, type: DateTime
  field :note, localize: true

  belongs_to :employee_profile 

  def period
   if !self.end_date.nil?
      period = self.start_date.strftime("%Y/%m/%d") + " ~ " + self.end_date.strftime("%Y/%m/%d")
    else
      period = self.start_date.strftime("%Y/%m/%d") + " ~ current"
    end
    period
  end

end