class EmployeeExperience
  include Mongoid::Document
  include Mongoid::Timestamps

  field :company_name, localize: true
  field :job_title, localize: true
  field :responsibilities, localize: true
  field :start_date, type: DateTime
  field :end_date, type: DateTime

  belongs_to :employee_profile 

  def period
   if !self.end_date.nil?
      period = self.start_date.strftime("%Y/%m/%d") + " ~ " + self.end_date.strftime("%Y/%m/%d")
    else
      period = self.start_date.strftime("%Y/%m/%d") + " ~ current"
    end
    period
  end
  
end